org.apache.flume.serialization

## Interface EventSerDe

- All Superinterfaces:
    AutoCloseable, Closeable, EventDeserializer, EventSerializer, Resettable

      @InterfaceAudience.LimitedPrivate(value="future public api")
      @InterfaceStability.Unstable
      public interface EventSerDe
      extends EventSerializer, EventDeserializer

  A class that is able to both serialize and deserialize events.

  Implementing this interface does not simply mean that a class has both serialization and deserialization capability. By implementing this interface, implementations guarantee that they can convert a serialized event back to a deserialized event, and back to a serialized event again without any data loss.

  That guarantee allows Flume to "replay" partial file writes and restore output files that may have been damaged in a system crash. At the time of this writing, support for this functionality is still lacking.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `EventSerDe.Builder` Knows how to construct this serde. Note: Implementations MUST provide a public a no-arg constructor.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.flume.serialization.EventSerializer

      `CTX_PREFIX`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.flume.serialization.EventSerializer

      `afterCreate, afterReopen, beforeClose, flush, supportsReopen, write`

    - ### Methods inherited from interface org.apache.flume.serialization.EventDeserializer

      `close, mark, readEvent, readEvents, reset`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.